package com.diymall.schedule;

import com.diymall.schedule.filter.AccessSignatureInterceptor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.servlet.config.annotation.InterceptorRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurerAdapter;


/**
 * SSOconfig 配置
 *
 * @author hejq
 */
@Configuration
public class SSOConfiguration extends WebMvcConfigurerAdapter {

    @Autowired
    private AccessSignatureInterceptor accessSignatureInterceptor;

    @Override
    public void addInterceptors(InterceptorRegistry registry) {
        /**
         * 拦截器配置
         */
        registry.addInterceptor(accessSignatureInterceptor).addPathPatterns("/erp/**");
    }

}
