package com.diymall.schedule.model;

import javax.persistence.*;
import java.util.Date;
import java.util.Set;

@Entity
@Table(name = "db_orders")
public class DiymallOrder {
  @Id
  @Column(name = "id")
  private Long id;

  @Column(name = "code")
  private String code;

  @Column(name = "payment")
  private Integer payment;

  @Column(name = "user_id")
  private Integer userId;

  @Column(name = "status")
  private Integer status;

  @Column(name = "display")
  private Integer display;

  @Column(name = "take_name")
  private String takeName;

  @Column(name = "take_phone")
  private String takePhone;

  @Column(name = "take_post_code")
  private String takePostCode;

  @Column(name = "take_area_id")
  private Integer takeAreaId;

  @Column(name = "take_area_msg")
  private String takeAreaMsg;

  @Column(name = "take_address")
  private String takeAddress;

  @Column(name = "to_bank_number")
  private String toBankNumber;

  @Column(name = "to_bank_name")
  private String toBankName;

  @Column(name = "to_bank_type")
  private String toBankType;

  @Column(name = "to_bank_address")
  private String toBbankAddress;

  @Column(name = "from_bank_number")
  private String fromBankNumber;

  @Column(name = "from_bank_name")
  private String fromBankName;

  @Column(name = "remark")
  private String remark;

  @Column(name = "admin_remark")
  private String adminRemark;

  @Column(name = "invoice_name")
  private String invoiceName;

  @Column(name = "invoice_number")
  private String invoiceNumber;

  @Column(name = "freight_id")
  private Integer freightId;

  @Column(name = "freight_price")
  private Double freightPrice;

  @Column(name = "subtotal")
  private Double subtotal;

  @Column(name = "grand_total")
  private Double grandTotal;

  @Column(name = "tracking_code")
  private String trackingCode;

  @Column(name = "tracking_company")
  private String trackingCompany;

  @Column(name = "tracking_kdn_code")
  private String trackingKdnCode;

  @Column(name = "tracking_status")
  private Integer trackingStatus;

  @Column(name = "tracking_update_date")
  private Date trackingUpdateDate;

  @Column(name = "create_date")
  private Date createDate;

  @Column(name = "payment_date")
  private Date paymentDate;

  @Column(name = "tracking_date")
  private Date trackingDate;

  @Column(name = "received_date")
  private Date receivedDate;

  @Column(name = "finish_date")
  private Date finishDate;

  @Column(name = "refund_date")
  private Date refundDate;

  @Column(name = "syn_data")
  private Integer synData;

  @OneToMany(mappedBy = "diymallOrder", cascade = { CascadeType.REFRESH }, fetch = FetchType.EAGER)
  private Set<DiymallOrderItem> diymallOrderItems;

  public Long getId() {
    return id;
  }

  public void setId(Long id) {
    this.id = id;
  }

  public String getCode() {
    return code;
  }

  public void setCode(String code) {
    this.code = code;
  }

  public Integer getPayment() {
    return payment;
  }

  public void setPayment(Integer payment) {
    this.payment = payment;
  }

  public Integer getUserId() {
    return userId;
  }

  public void setUserId(Integer userId) {
    this.userId = userId;
  }

  public Integer getStatus() {
    return status;
  }

  public void setStatus(Integer status) {
    this.status = status;
  }

  public Integer getDisplay() {
    return display;
  }

  public void setDisplay(Integer display) {
    this.display = display;
  }

  public String getTakeName() {
    return takeName;
  }

  public void setTakeName(String takeName) {
    this.takeName = takeName;
  }

  public String getTakePhone() {
    return takePhone;
  }

  public void setTakePhone(String takePhone) {
    this.takePhone = takePhone;
  }

  public String getTakePostCode() {
    return takePostCode;
  }

  public void setTakePostCode(String takePostCode) {
    this.takePostCode = takePostCode;
  }

  public Integer getTakeAreaId() {
    return takeAreaId;
  }

  public void setTakeAreaId(Integer takeAreaId) {
    this.takeAreaId = takeAreaId;
  }

  public String getTakeAreaMsg() {
    return takeAreaMsg;
  }

  public void setTakeAreaMsg(String takeAreaMsg) {
    this.takeAreaMsg = takeAreaMsg;
  }

  public String getTakeAddress() {
    return takeAddress;
  }

  public void setTakeAddress(String takeAddress) {
    this.takeAddress = takeAddress;
  }

  public String getToBankNumber() {
    return toBankNumber;
  }

  public void setToBankNumber(String toBankNumber) {
    this.toBankNumber = toBankNumber;
  }

  public String getToBankName() {
    return toBankName;
  }

  public void setToBankName(String toBankName) {
    this.toBankName = toBankName;
  }

  public String getToBankType() {
    return toBankType;
  }

  public void setToBankType(String toBankType) {
    this.toBankType = toBankType;
  }

  public String getToBbankAddress() {
    return toBbankAddress;
  }

  public void setToBbankAddress(String toBbankAddress) {
    this.toBbankAddress = toBbankAddress;
  }

  public String getFromBankNumber() {
    return fromBankNumber;
  }

  public void setFromBankNumber(String fromBankNumber) {
    this.fromBankNumber = fromBankNumber;
  }

  public String getFromBankName() {
    return fromBankName;
  }

  public void setFromBankName(String fromBankName) {
    this.fromBankName = fromBankName;
  }

  public String getRemark() {
    return remark;
  }

  public void setRemark(String remark) {
    this.remark = remark;
  }

  public String getAdminRemark() {
    return adminRemark;
  }

  public void setAdminRemark(String adminRemark) {
    this.adminRemark = adminRemark;
  }

  public String getInvoiceName() {
    return invoiceName;
  }

  public void setInvoiceName(String invoiceName) {
    this.invoiceName = invoiceName;
  }

  public String getInvoiceNumber() {
    return invoiceNumber;
  }

  public void setInvoiceNumber(String invoiceNumber) {
    this.invoiceNumber = invoiceNumber;
  }

  public Integer getFreightId() {
    return freightId;
  }

  public void setFreightId(Integer freightId) {
    this.freightId = freightId;
  }

  public Double getFreightPrice() {
    return freightPrice;
  }

  public void setFreightPrice(Double freightPrice) {
    this.freightPrice = freightPrice;
  }

  public Double getSubtotal() {
    return subtotal;
  }

  public void setSubtotal(Double subtotal) {
    this.subtotal = subtotal;
  }

  public Double getGrandTotal() {
    return grandTotal;
  }

  public void setGrandTotal(Double grandTotal) {
    this.grandTotal = grandTotal;
  }

  public String getTrackingCode() {
    return trackingCode;
  }

  public void setTrackingCode(String trackingCode) {
    this.trackingCode = trackingCode;
  }

  public String getTrackingCompany() {
    return trackingCompany;
  }

  public void setTrackingCompany(String trackingCompany) {
    this.trackingCompany = trackingCompany;
  }

  public String getTrackingKdnCode() {
    return trackingKdnCode;
  }

  public void setTrackingKdnCode(String trackingKdnCode) {
    this.trackingKdnCode = trackingKdnCode;
  }

  public Integer getTrackingStatus() {
    return trackingStatus;
  }

  public void setTrackingStatus(Integer trackingStatus) {
    this.trackingStatus = trackingStatus;
  }

  public Date getTrackingUpdateDate() {
    return trackingUpdateDate;
  }

  public void setTrackingUpdateDate(Date trackingUpdateDate) {
    this.trackingUpdateDate = trackingUpdateDate;
  }

  public Date getCreateDate() {
    return createDate;
  }

  public void setCreateDate(Date createDate) {
    this.createDate = createDate;
  }

  public Date getPaymentDate() {
    return paymentDate;
  }

  public void setPaymentDate(Date paymentDate) {
    this.paymentDate = paymentDate;
  }

  public Date getTrackingDate() {
    return trackingDate;
  }

  public void setTrackingDate(Date trackingDate) {
    this.trackingDate = trackingDate;
  }

  public Date getReceivedDate() {
    return receivedDate;
  }

  public void setReceivedDate(Date receivedDate) {
    this.receivedDate = receivedDate;
  }

  public Date getFinishDate() {
    return finishDate;
  }

  public void setFinishDate(Date finishDate) {
    this.finishDate = finishDate;
  }

  public Date getRefundDate() {
    return refundDate;
  }

  public void setRefundDate(Date refundDate) {
    this.refundDate = refundDate;
  }

  public Integer getSynData() {
    return synData;
  }

  public void setSynData(Integer synData) {
    this.synData = synData;
  }

  public Set<DiymallOrderItem> getDiymallOrderItems() {
    return diymallOrderItems;
  }

  public void setDiymallOrderItems(Set<DiymallOrderItem> diymallOrderItems) {
    this.diymallOrderItems = diymallOrderItems;
  }
}
