package com.diymall.schedule.model;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonIgnore;

import javax.persistence.*;

@Entity
@Table(name = "db_orders_item")
public class DiymallOrderItem {

    @Id
    @Column(name = "id")
    private Integer id;

    @Column(name = "orders_id")
    private Integer ordersId;

    /**
     * 订单主记录
     */
    @ManyToOne(cascade = { CascadeType.REFRESH })
    @JoinColumn(name = "orders_id", insertable = false, updatable = false)
    private DiymallOrder diymallOrder;

    @Column(name = "user_diy_id")
    private Integer userDiyId;

    @Column(name = "diy_title")
    private String diyTitle;

    @Column(name = "diy_remark")
    private String diyRemark;

    @Column(name = "diy_img_url")
    private String diyImgUrl;

    @Transient
    private String diyContent;

    @Column(name = "bottle_id")
    private Integer bottleId;

    @Column(name = "bottle_title")
    private String bottleTitle;

    @Column(name = "bottle_weight")
    private Double bottleWeight;

    @Column(name = "bottle_type_id")
    private Integer bottleTypeId;

    @Column(name = "bottle_type_title")
    private String bottleTypeTitle;

    @Column(name = "item_price")
    private Double itemPrice;

    @Column(name = "item_number")
    private Integer itemNumber;

    @Column(name = "subtotal")
    private Double subtotal;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getOrdersId() {
        return ordersId;
    }

    public void setOrdersId(Integer ordersId) {
        this.ordersId = ordersId;
    }

    @JsonIgnore
    @JSONField(serialize = false)
    public DiymallOrder getDiymallOrder() {
        return diymallOrder;
    }

    public void setDiymallOrder(DiymallOrder diymallOrder) {
        this.diymallOrder = diymallOrder;
    }

    public Integer getUserDiyId() {
        return userDiyId;
    }

    public void setUserDiyId(Integer userDiyId) {
        this.userDiyId = userDiyId;
    }

    public String getDiyTitle() {
        return diyTitle;
    }

    public void setDiyTitle(String diyTitle) {
        this.diyTitle = diyTitle;
    }

    public String getDiyRemark() {
        return diyRemark;
    }

    public void setDiyRemark(String diyRemark) {
        this.diyRemark = diyRemark;
    }

    public String getDiyImgUrl() {
        return diyImgUrl;
    }

    public void setDiyImgUrl(String diyImgUrl) {
        this.diyImgUrl = diyImgUrl;
    }

    public String getDiyContent() {
        return diyContent;
    }

    public void setDiyContent(String diyContent) {
        this.diyContent = diyContent;
    }

    public Integer getBottleId() {
        return bottleId;
    }

    public void setBottleId(Integer bottleId) {
        this.bottleId = bottleId;
    }

    public String getBottleTitle() {
        return bottleTitle;
    }

    public void setBottleTitle(String bottleTitle) {
        this.bottleTitle = bottleTitle;
    }

    public Double getBottleWeight() {
        return bottleWeight;
    }

    public void setBottleWeight(Double bottleWeight) {
        this.bottleWeight = bottleWeight;
    }

    public Integer getBottleTypeId() {
        return bottleTypeId;
    }

    public void setBottleTypeId(Integer bottleTypeId) {
        this.bottleTypeId = bottleTypeId;
    }

    public String getBottleTypeTitle() {
        return bottleTypeTitle;
    }

    public void setBottleTypeTitle(String bottleTypeTitle) {
        this.bottleTypeTitle = bottleTypeTitle;
    }

    public Double getItemPrice() {
        return itemPrice;
    }

    public void setItemPrice(Double itemPrice) {
        this.itemPrice = itemPrice;
    }

    public Integer getItemNumber() {
        return itemNumber;
    }

    public void setItemNumber(Integer itemNumber) {
        this.itemNumber = itemNumber;
    }

    public Double getSubtotal() {
        return subtotal;
    }

    public void setSubtotal(Double subtotal) {
        this.subtotal = subtotal;
    }
}
